Workflows

Update a share role

PATCH
/workflows/{workflow_id}/shares/{share_id}

Change the role of an existing workflow share.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

workflow_id*string

Resource identifier: workflow_id.

Formatuuid
share_id*string

Resource identifier: share_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/workflows/123e4567-e89b-42d3-a456-426614174000/shares/123e4567-e89b-42d3-a456-426614174000" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "role": "VIEWER"  }'
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "user": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "email": "ada@example.com",        "name": "Customer documents",        "image_url": "example"      },      "role": "ADMIN",      "created_at": "2026-09-04T12:00:00Z"    }  ]}